Qyra
Referencev2

Get chart

Get a saved chart by uuid or slug within a project

GET/api/v2/projects/{projectUuid}/saved/{chartUuidOrSlug}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
chartUuidOrSlugstringYes

Query parameters

NameTypeRequiredDescription
includeUnpublishedDraftbooleanNo

Responses

200 — Success

{
  "results": {
    "deletedBy": {
      "lastName": "string",
      "firstName": "string",
      "userUuid": "string"
    },
    "deletedAt": "2024-01-01T00:00:00.000Z",
    "draftOverlayError": {
      "draftUuid": "string",
      "code": "invalid_chart_draft"
    },
    "draftStaleness": {
      "conflictingFields": [
        "string"
      ],
      "changedFields": [
        "string"
      ],
      "draftUuid": "string"
    },
    "dismissedDraftUuid": "string",
    "draftsAwaitingReview": 0,
    "hasUnpublishedChanges": true,
    "verification": {
      "verifiedAt": "2024-01-01T00:00:00.000Z",
      "verifiedBy": {
        "lastName": "string",
        "firstName": "string",
        "userUuid": "string"
      }
    },
    "slug": "string",
    "access": [
      {
        "grantedVia": "app",
        "inheritedFrom": "organization",
        "inheritedRole": "member",
        "projectRole": "viewer",
        "hasDirectAccess": true,
        "role": "viewer",
        "userUuid": "string"
      }
    ],
    "inheritsFromOrgOrProject": true,
    "resolvedColorPalette": {
      "source": {
        "type": "config"
      },
      "paletteName": "string",
      "paletteUuid": "string",
      "darkColors": [
        "string"
      ],
      "colors": [
        "string"
      ]
    },
    "colorPaletteUuid": "string",
    "colorPalette": [
      "string"
    ],
    "dashboardSlug": "string",
    "dashboardName": "string",
    "dashboardUuid": "string",
    "pinnedListOrder": 0,
    "pinnedListUuid": "string",
    "spaceName": "string",
    "spaceUuid": "string",
    "organizationUuid": "string",
    "updatedByUser": {
      "userUuid": "string",
      "firstName": "string",
      "lastName": "string"
    },
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "parameters": {
      "property": "string"
    },
    "tableConfig": {
      "columnOrder": [
        "string"
      ]
    },
    "chartConfig": {
      "config": {
        "comparisonField": "string",
        "conditionalFormattings": [
          {
            "textStyle": {
              "underline": true,
              "italic": true,
              "bold": true
            },
            "applyTo": "cell",
            "rules": [
              {
                "includeNull": true,
                "values": [
                  0
                ],
                "operator": "isNull",
                "id": "string"
              }
            ],
            "darkColor": "string",
            "color": "string",
            "target": {
              "fieldId": "string"
            }
          }
        ],
        "comparisonLabel": "string",
        "flipColors": true,
        "comparisonFormat": "raw",
        "showComparison": true,
        "showTableNamesInLabel": true,
        "showBigNumberLabel": true,
        "selectedField": "string",
        "style": "auto",
        "label": "string"
      },
      "type": "big_number"
    },
    "merge": {
      "tableCalculations": [
        {
          "sql": "string",
          "displayName": "string",
          "name": "string"
        }
      ],
      "joinType": "full",
      "joinKey": [
        {
          "fieldIdBySourceId": {
            "property": "string"
          },
          "name": "string"
        }
      ],
      "sources": [
        {
          "kind": "chart",
          "id": "string"
        }
      ],
      "primarySourceId": "string"
    },
    "pivotConfig": {
      "rows": [
        "string"
      ],
      "columns": [
        "string"
      ]
    },
    "metricQuery": {
      "metadata": {
        "hasADateDimension": {
          "name": "string",
          "label": "string",
          "table": "string"
        }
      },
      "pivotDimensions": [
        "string"
      ],
      "timezone": "string",
      "dimensionOverrides": {
        "property": {
          "formatOptions": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          }
        }
      },
      "metricOverrides": {
        "property": {
          "formatOptions": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          }
        }
      },
      "customDimensions": [
        {
          "id": "string",
          "name": "string",
          "table": "string",
          "type": "bin",
          "dimensionId": "string",
          "binType": "fixed_number",
          "binNumber": 0
        }
      ],
      "additionalMetrics": [
        {
          "label": "string",
          "type": "percentile",
          "description": "string",
          "sql": "string",
          "hidden": true,
          "round": 0,
          "compact": "auto",
          "format": "km",
          "separator": "default",
          "table": "string",
          "name": "string",
          "index": 0,
          "filters": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fieldRef": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true
            }
          ],
          "baseDimensionName": "string",
          "baseMetricName": "string",
          "uuid": "string",
          "percentile": 0,
          "distinctKeys": [
            "string"
          ],
          "formatOptions": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          },
          "generationType": "periodOverPeriod",
          "baseMetricId": "string",
          "timeDimensionId": "string",
          "granularity": "RAW",
          "periodOffset": 0
        }
      ],
      "tableCalculations": [
        {
          "totalMode": "formula",
          "type": "number",
          "format": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          },
          "displayName": "string",
          "name": "string",
          "index": 0,
          "sql": "string"
        }
      ],
      "limit": 0,
      "sorts": [
        {
          "pivotValues": [
            {
              "value": "string",
              "reference": "string"
            }
          ],
          "nullsFirst": true,
          "descending": true,
          "fieldId": "string"
        }
      ],
      "filters": {
        "tableCalculations": {
          "or": [
            {}
          ],
          "id": "string"
        },
        "metrics": {
          "or": [
            {}
          ],
          "id": "string"
        },
        "dimensions": {
          "or": [
            {}
          ],
          "id": "string"
        }
      },
      "metrics": [
        "string"
      ],
      "dimensions": [
        "string"
      ],
      "exploreName": "string"
    },
    "tableName": "string",
    "description": "string",
    "name": "string",
    "projectUuid": "string",
    "uuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}